xclade
Admin APIPrice lists

Manage Prices in Price List

Manage the prices of a price list to create, update, or delete them.

POST
/admin/price-lists/{id}/prices/batch
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The price list's ID.

Request Body

application/json

create?

The prices to create.

update?

The prices to update.

delete?array<delete>

The prices to delete.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/price-lists/string/prices/batch" \  -H "Content-Type: application/json" \  -d '{}'
{
  "created": [
    {
      "id": "string",
      "title": "string",
      "currency_code": "usd",
      "amount": 0,
      "raw_amount": {},
      "min_quantity": 0,
      "max_quantity": 0,
      "price_set_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "updated": [
    {
      "id": "string",
      "title": "string",
      "currency_code": "usd",
      "amount": 0,
      "raw_amount": {},
      "min_quantity": 0,
      "max_quantity": 0,
      "price_set_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "deleted": {
    "ids": [
      "string"
    ],
    "object": "price",
    "deleted": true
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}